"Preparations"
MCCacheRepository instVarNamed: 'default' put: nil.
!
"University proxy"
HTTPSocket useProxyServerNamed: 'proxy.iam.unibe.ch' port: 8080.
!
Gofer new
	squeaksource: 'rb';
	package: 'AST-Core';
	package: 'Refactoring-Changes';
	package: 'Refactoring-Core';
	package: 'Refactoring-Critics';
	package: 'Refactoring-Environment';
	package: 'Refactoring-Spelling';
	load.
Gofer new
	url: 'http://source.lukas-renggli.ch/helvetia';
	package: 'AST-Compiler';
	load.
Gofer new
	squeaksource: 'metalchemy';
	package: 'GeppettoMetaObject';
	package: 'Proserpina';
	package: 'MultipleMops';
	load.
!
"Reset proxy"
HTTPSocket stopUsingProxyServer.
!
"Clear Author"
Author reset.
!
"Clear Monticello Caches"
MCCacheRepository instVarNamed: 'default' put: nil.
MCFileBasedRepository flushAllCaches.
MCMethodDefinition shutDown.
MCDefinition clearInstances.
!
"Cleanup Smalltalk"
Smalltalk flushClassNameCache.
Smalltalk organization removeEmptyCategories.
Smalltalk allClassesAndTraitsDo: [ :each |
	each organization removeEmptyCategories; sortCategories.
	each class organization removeEmptyCategories; sortCategories ].
!
"Cleanup System Memory"
Smalltalk garbageCollect.
Symbol compactSymbolTable.
!
"Save and Quit"
WorldState addDeferredUIMessage: [
	SmalltalkImage current snapshot: true andQuit: true ].
!
